SUSE: 2022:2660-1 important: java-17-openjdk | LinuxSecurity.com

   SUSE Security Update: Security update for java-17-openjdk
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2660-1
Rating:             important
References:         #1201684 #1201685 #1201692 #1201694 
Cross-References:   CVE-2022-21540 CVE-2022-21541 CVE-2022-21549
                    CVE-2022-34169
CVSS scores:
                    CVE-2022-21540 (NVD) : 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
                    CVE-2022-21540 (SUSE): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
                    CVE-2022-21541 (NVD) : 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N
                    CVE-2022-21541 (SUSE): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N
                    CVE-2022-21549 (NVD) : 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N
                    CVE-2022-21549 (SUSE): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N
                    CVE-2022-34169 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2022-34169 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Affected Products:
                    SUSE Linux Enterprise Desktop 15-SP4
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Module for Basesystem 15-SP4
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Manager Proxy 4.3
                    SUSE Manager Retail Branch Server 4.3
                    SUSE Manager Server 4.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes four vulnerabilities is now available.

Description:

   This update for java-17-openjdk fixes the following issues:

   Update to upstream tag jdk-17.0.4+8 (July 2022 CPU)

   - CVE-2022-21540: Improve class compilation (bsc#1201694)
   - CVE-2022-21541: Enhance MethodHandle invocations (bsc#1201692)
   - CVE-2022-34169: Improve Xalan supports (bsc#1201684)
   - CVE-2022-21549: java.util.random does not correctly sample exponential
     or Gaussian distributions (bsc#1201685)


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-2660=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-2660=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      java-17-openjdk-17.0.4.0-150400.3.3.1
      java-17-openjdk-accessibility-17.0.4.0-150400.3.3.1
      java-17-openjdk-accessibility-debuginfo-17.0.4.0-150400.3.3.1
      java-17-openjdk-debuginfo-17.0.4.0-150400.3.3.1
      java-17-openjdk-debugsource-17.0.4.0-150400.3.3.1
      java-17-openjdk-demo-17.0.4.0-150400.3.3.1
      java-17-openjdk-devel-17.0.4.0-150400.3.3.1
      java-17-openjdk-devel-debuginfo-17.0.4.0-150400.3.3.1
      java-17-openjdk-headless-17.0.4.0-150400.3.3.1
      java-17-openjdk-headless-debuginfo-17.0.4.0-150400.3.3.1
      java-17-openjdk-jmods-17.0.4.0-150400.3.3.1
      java-17-openjdk-src-17.0.4.0-150400.3.3.1

   - openSUSE Leap 15.4 (noarch):

      java-17-openjdk-javadoc-17.0.4.0-150400.3.3.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP4 (aarch64 ppc64le s390x x86_64):

      java-17-openjdk-17.0.4.0-150400.3.3.1
      java-17-openjdk-debuginfo-17.0.4.0-150400.3.3.1
      java-17-openjdk-debugsource-17.0.4.0-150400.3.3.1
      java-17-openjdk-demo-17.0.4.0-150400.3.3.1
      java-17-openjdk-devel-17.0.4.0-150400.3.3.1
      java-17-openjdk-devel-debuginfo-17.0.4.0-150400.3.3.1
      java-17-openjdk-headless-17.0.4.0-150400.3.3.1
      java-17-openjdk-headless-debuginfo-17.0.4.0-150400.3.3.1


References:

   https://www.suse.com/security/cve/CVE-2022-21540.html
   https://www.suse.com/security/cve/CVE-2022-21541.html
   https://www.suse.com/security/cve/CVE-2022-21549.html
   https://www.suse.com/security/cve/CVE-2022-34169.html
   https://bugzilla.suse.com/1201684
   https://bugzilla.suse.com/1201685
   https://bugzilla.suse.com/1201692
   https://bugzilla.suse.com/1201694

SUSE: 2022:2660-1 important: java-17-openjdk

August 3, 2022
An update that fixes four vulnerabilities is now available

Summary

This update for java-17-openjdk fixes the following issues: Update to upstream tag jdk-17.0.4+8 (July 2022 CPU) - CVE-2022-21540: Improve class compilation (bsc#1201694) - CVE-2022-21541: Enhance MethodHandle invocations (bsc#1201692) - CVE-2022-34169: Improve Xalan supports (bsc#1201684) - CVE-2022-21549: java.util.random does not correctly sample exponential or Gaussian distributions (bsc#1201685) Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-2660=1 - SUSE Linux Enterprise Module for Basesystem 15-SP4: zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2022-2660=1 Package List: - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64): java-17-openjdk-17.0.4.0-150400.3.3.1 java-17-openjdk-accessibility-17.0.4.0-150400.3.3.1 java-17-openjdk-accessibility-debuginfo-17.0.4.0-150400.3.3.1 java-17-openjdk-debuginfo-17.0.4.0-150400.3.3.1 java-17-openjdk-debugsource-17.0.4.0-150400.3.3.1 java-17-openjdk-demo-17.0.4.0-150400.3.3.1 java-17-openjdk-devel-17.0.4.0-150400.3.3.1 java-17-openjdk-devel-debuginfo-17.0.4.0-150400.3.3.1 java-17-openjdk-headless-17.0.4.0-150400.3.3.1 java-17-openjdk-headless-debuginfo-17.0.4.0-150400.3.3.1 java-17-openjdk-jmods-17.0.4.0-150400.3.3.1 java-17-openjdk-src-17.0.4.0-150400.3.3.1 - openSUSE Leap 15.4 (noarch): java-17-openjdk-javadoc-17.0.4.0-150400.3.3.1 - SUSE Linux Enterprise Module for Basesystem 15-SP4 (aarch64 ppc64le s390x x86_64): java-17-openjdk-17.0.4.0-150400.3.3.1 java-17-openjdk-debuginfo-17.0.4.0-150400.3.3.1 java-17-openjdk-debugsource-17.0.4.0-150400.3.3.1 java-17-openjdk-demo-17.0.4.0-150400.3.3.1 java-17-openjdk-devel-17.0.4.0-150400.3.3.1 java-17-openjdk-devel-debuginfo-17.0.4.0-150400.3.3.1 java-17-openjdk-headless-17.0.4.0-150400.3.3.1 java-17-openjdk-headless-debuginfo-17.0.4.0-150400.3.3.1

References

#1201684 #1201685 #1201692 #1201694

Cross- CVE-2022-21540 CVE-2022-21541 CVE-2022-21549

CVE-2022-34169

CVSS scores:

CVE-2022-21540 (NVD) : 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

CVE-2022-21540 (SUSE): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

CVE-2022-21541 (NVD) : 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

CVE-2022-21541 (SUSE): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

CVE-2022-21549 (NVD) : 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

CVE-2022-21549 (SUSE): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

CVE-2022-34169 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

CVE-2022-34169 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Affected Products:

SUSE Linux Enterprise Desktop 15-SP4

SUSE Linux Enterprise High Performance Computing 15-SP4

SUSE Linux Enterprise Module for Basesystem 15-SP4

SUSE Linux Enterprise Server 15-SP4

SUSE Linux Enterprise Server for SAP Applications 15-SP4

SUSE Manager Proxy 4.3

SUSE Manager Retail Branch Server 4.3

SUSE Manager Server 4.3

openSUSE Leap 15.4

https://www.suse.com/security/cve/CVE-2022-21540.html

https://www.suse.com/security/cve/CVE-2022-21541.html

https://www.suse.com/security/cve/CVE-2022-21549.html

https://www.suse.com/security/cve/CVE-2022-34169.html

https://bugzilla.suse.com/1201684

https://bugzilla.suse.com/1201685

https://bugzilla.suse.com/1201692

https://bugzilla.suse.com/1201694

Severity
Announcement ID: SUSE-SU-2022:2660-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.